GET
/api/v1/sandbox/agents/{id}Agents
Get sandbox agent
Fetch one sandbox agent mandate by ID.
Sandbox API
https://sandbox-api.nuvante.ioReturns a single sandbox agent, as long as it belongs to your participant. Needs manageOwnAgents (tenant admin JWT). Sandbox only.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | string · header | Yes | Tenant admin portal JWT with `manageOwnAgents`. |
| id | string · path | Yes | The sandbox agent ID. |
Responses
200Agent record.
Request
curl --request GET \
--url 'https://sandbox-api.nuvante.io/api/v1/sandbox/agents/agt_a23e4567-e89b-42d3-a456-426614174040' \
--header 'Authorization: Bearer nvt_sandbox_your_key' \
--header 'Accept: application/json'Response
{
"data": {
"agentId": "agt_a23e4567-e89b-42d3-a456-426614174040",
"participantId": "323e4567-e89b-42d3-a456-426614174002",
"capabilities": {
"initiateTransaction": true
},
"expiresAt": "2026-09-19T00:00:00.000Z",
"revokedAt": null
},
"meta": {
"commandId": "e23e4567-e89b-42d3-a456-426614174043"
}
}